import request from '@/utils/request'

// api docs: https://www.showdoc.com.cn/2598833910230611/11558452686114862

// 查询俱乐部列表
export function getClubListApi(params) {
  return request({
    url: '/people-bank-club/getClubAll',
    method: 'get',
    params
  })
}

// 新增俱乐部
export function addClubApi(data) {
  return request({
    url: '/people-bank-club/postClub',
    method: 'post',
    data
  })
}

// 编辑俱乐部
export function editClubApi(data) {
  return request({
    url: '/people-bank-club/patchClub',
    method: 'patch',
    data
  })
}

// 删除俱乐部
export function deleteClubApi(params) {
  return request({
    url: '/people-bank-club/deleteClubById',
    method: 'delete',
    params
  })
}

// 获取俱乐部详情
export function getClubDetailApi(params) {
  return request({
    url: '/people-bank-club/getClubById',
    method: 'GET',
    params
  })
}

// 设置会员为管理
export function patchClubMemberIsAdminApi(params) {
  return request({
    url: '/people-bank-club-member/patchClubMemberIsAdmin',
    method: 'PATCH',
    params
  })
}

// 获取会员列表
export function getClubMemberApi(params) {
  return request({
    url: '/people-bank-member/getMemberAll',
    method: 'GET',
    params
  })
}

// 获取活动列表
// 获取会员列表
export function getActivitiesAllApi(params) {
  return request({
    url: '/people-bank-activities/getActivitiesAll',
    method: 'GET',
    params
  })
}

// 获取活动详情
export function getActivityDetailApi(params) {
  return request({
    url: '/people-bank-activities/getActivitiesById',
    method: 'GET',
    params
  })
}

// 修改会员信息
export function editMemberApi(data) {
  return request({
    url: '/people-bank-member/patchMember',
    method: 'PATCH',
    data
  })
}

// 创建活动
export function createActivityApi(data) {
  return request({
    url: '/people-bank-activities/postPeopleBankActivities',
    method: 'POST',
    data
  })
}

// 创建活动
export function deleteActivityApi(params) {
  return request({
    url: '/people-bank-activities/deletePeopleBankActivitiesById',
    method: 'DELETE',
    params
  })
}

// 修改活动信息
export function patchPeopleBankActivitiesByIdApi(data) {
  return request({
    url: '/people-bank-activities/patchPeopleBankActivitiesById',
    method: 'PATCH',
    data
  })
}

// 获取会员详情
export function getMemberByMemberIdApi(params) {
  return request({
    url: '/people-bank-member/getMemberByMemberId',
    method: 'GET',
    params
  })
}

// 修改会员在俱乐部中的信息
export function patchClubMemberApi(data) {
  return request({
    url: '/people-bank-club-member/patchClubMember',
    method: 'PATCH',
    data
  })
}

// 获取会员身份列表
export function getClubIdentityListApi(params) {
  return request({
    url: '/people-bank-club-member/getClubIdentityList',
    method: 'GET',
    params
  })
}
